Subject: Re: [PATCH net-next 1/4] dt-bindings: net: dsa: add Mediatek MT7530 binding

From: Andrew Lunn <[email-masked]>
Date: Tue, 14 Mar 2017 12:58:06 +0100

> By the ways, I have a question which is could current DSA framework
> allows managing the fabric designated from "multiple cpu ports" to "user
> ports" in any combination in brctl and in other existing commands?
> 
> For example.
> 
> I assume that there are two cpu port called 5, and 6.and there are five
> user ports called 0, 1, 2 and 3. and the default fabric on the switch is
> mapping from { 5 } <-> { 0, 1, 2, 3 ,4 } where members in the braces I
> assumes they also can communicate with each other.
> 
> Is it feasible for changing the fabric into other combinations in the
> runtime such as 
> {5} <-> {0, 1, 2, 3} and {6} <-> {4}
> {5} <-> {0, 1, 2} and {6} <-> {3, 4} or 
> {6} <-> {0, 1} and {6} <-> {2, 3, 4} or
> ....
> {6} <-> {0, 1, 2, 3 ,4} ?
> 
> After some trace code, I found it seemed that only one cpu port could be
> supported via one dsa registration. 

Hi Sean

This is on our TODO list, and getting near the top of Florians list,
as far as i understand. A few years ago i did make a proof of concept
implementation for this, and the new device tree binding was designed
with this in mind.

     Andrew
--
To unsubscribe from this list: send the line "unsubscribe devicetree" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html